VERSION 5.00
Begin VB.UserControl CurrencyField 
   ClientHeight    =   285
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1290
   DataBindingBehavior=   1  'vbSimpleBound
   DataSourceBehavior=   1  'vbDataSource
   ScaleHeight     =   285
   ScaleWidth      =   1290
   ToolboxBitmap   =   "CurrencyField.ctx":0000
   Begin VB.TextBox txtFeld 
      Alignment       =   1  'Rechts
      BeginProperty DataFormat 
         Type            =   0
         Format          =   "#.##0,00 ""DM"""
         HaveTrueFalseNull=   0
         FirstDayOfWeek  =   0
         FirstWeekOfYear =   0
         LCID            =   1031
         SubFormatType   =   0
      EndProperty
      Height          =   285
      Left            =   0
      TabIndex        =   0
      Text            =   "0,00"
      Top             =   0
      Width           =   1290
   End
End
Attribute VB_Name = "CurrencyField"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Dim char As Integer
'Standard-Eigenschaftswerte:
Const m_def_FontTransparent = 0
Const m_def_Value = ""
'Eigenschaftsvariablen:
Dim m_DataMembers As DataMembers
Dim m_FontTransparent As Boolean
'Ereignisdeklarationen:
Event Change() 'MappingInfo=txtFeld,txtFeld,-1,Change
Attribute Change.VB_Description = "Tritt auf, wenn sich der Inhalt eines Steuerelements gendert hat."
Event Click() 'MappingInfo=txtFeld,txtFeld,-1,Click
Attribute Click.VB_Description = "Tritt auf, wenn der Benutzer eine Maustaste ber einem Objekt drckt und wieder loslt."
Event DblClick() 'MappingInfo=txtFeld,txtFeld,-1,DblClick
Attribute DblClick.VB_Description = "Tritt auf, wenn der Benutzer eine Maustaste ber einem Objekt drckt und wieder loslt und anschlieend erneut drckt und wieder loslt."
'Event KeyDown(KeyCode As Integer, Shift As Integer) 'MappingInfo=txtFeld,txtFeld,-1,KeyDown
'Event KeyPress(KeyAscii As Integer) 'MappingInfo=txtFeld,txtFeld,-1,KeyPress
Event KeyUp(KeyCode As Integer, Shift As Integer) 'MappingInfo=txtFeld,txtFeld,-1,KeyUp
Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=txtFeld,txtFeld,-1,MouseDown
Attribute MouseDown.VB_Description = "Tritt auf, wenn der Benutzer die Maustaste drckt, whrend ein Objekt den Fokus hat."
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=txtFeld,txtFeld,-1,MouseMove
Attribute MouseMove.VB_Description = "Tritt auf, wenn der Benutzer die Maus bewegt."
Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=txtFeld,txtFeld,-1,MouseUp
Attribute MouseUp.VB_Description = "Tritt auf, wenn der Benutzer die Maustaste loslt, whrend ein Objekt den Fokus hat."

Private Sub txtFeld_GotFocus()
    On Error Resume Next
    txtFeld.SelStart = 0
    txtFeld.SelLength = Len(txtFeld)
End Sub

Private Sub txtFeld_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error Resume Next
    If txtFeld.Locked = True Then
        KeyCode = 0
        Exit Sub
    End If
    'RaiseEvent KeyDown(KeyCode, Shift)
    If Shift = 2 Then Exit Sub
    ' entf und del abfangen:
    If KeyCode = 46 Or KeyCode = 37 Then
        s = Replace(txtFeld, ".", "")
        s = Replace(s, ",", "")
        s = Left(s, Len(s) - 1)
        If Len(s > 2) Then
            s = Left(s, Len(s) - 2) & "," & Right(s, 2)
        Else
            s = "0," & s
        End If
        txtFeld = Format(s, "###,###,###,##0.00")
        KeyCode = 0
    End If
    txtFeld.SelStart = Len(txtFeld)
End Sub

Private Sub txtFeld_KeyPress(KeyAscii As Integer)
    On Error Resume Next
    If txtFeld.Locked = True Then
        KeyAscii = 0
        Exit Sub
    End If
    'RaiseEvent KeyPress(KeyAscii)
    
    CheckKeyAscii KeyAscii
    txtFeld.SelStart = Len(txtFeld)
    If KeyAscii = 46 Then KeyAscii = 0
    If (Not IsNumeric(Chr(char)) And char <> 8 And Shift = 0) Or char = 0 Then Exit Sub
    txtFeld = Format(FixBetrag(txtFeld, char), "###,###,###,##0.00")
    txtFeld.SelStart = Len(txtFeld)
End Sub

Private Sub txtFeld_KeyUp(KeyCode As Integer, Shift As Integer)
    On Error Resume Next
    If txtFeld.Locked = True Then
        KeyCode = 0
        Exit Sub
    End If
    RaiseEvent KeyUp(KeyCode, Shift)
    If Shift = 2 Then Exit Sub
    txtFeld.SelStart = Len(txtFeld)
End Sub

Public Function FixBetrag(Betrag As String, ByRef char As Integer) As String
    On Error Resume Next
    If char <> 8 Then
        s = Betrag & Chr(char)
    Else
        If Len(Betrag) >= 1 Then s = Left(Betrag, Len(Betrag) - 1)
    End If

    If InStr(s, ".") > 0 Then s = Left(s, InStr(s, ".") - 1) & Right(s, Len(s) - InStr(s, "."))
    If InStr(s, ",") > 0 Then s = Left(s, InStr(s, ",") - 1) & Right(s, Len(s) - InStr(s, ","))
    While Len(s) < 3: s = "0" & s: Wend
    If Len(s) >= 3 Then s = Left(s, Len(s) - 2) & "," & Right(s, 2)
    If Len(s) >= 7 Then s = Left(s, Len(s) - 6) & "." & Right(s, 6)
    If Len(s) > 4 Then
        While Left(s, 1) = "0" And Len(s) > 4: s = Right(s, Len(s) - 1): Wend
    End If
    char = 0
    FixBetrag = s
End Function

Public Function CheckKeyAscii(ByRef KeyAscii As Integer)
    On Error Resume Next
    char = 0
    If Not IsNumeric(Chr(KeyAscii)) And KeyAscii <> 8 And KeyAscii <> 13 Then
        If KeyAscii = Asc("+") Then
            If Left(txtFeld, 1) = "-" Then txtFeld = Right(txtFeld, Len(txtFeld) - 1)
        ElseIf KeyAscii = Asc("-") Then
            If Left(txtFeld, 1) <> "-" Then txtFeld = "-" & txtFeld
        End If
        KeyAscii = 0
    ElseIf IsNumeric(Chr(KeyAscii)) Or KeyAscii = 8 Then
        char = KeyAscii
        KeyAscii = 0
    End If
    CheckKeyAscii = char
End Function

Private Sub txtFeld_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    On Error Resume Next
    RaiseEvent MouseDown(Button, Shift, X, Y)
    txtFeld.SelStart = Len(txtFeld)
End Sub

Private Sub txtFeld_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    On Error Resume Next
    RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

Private Sub UserControl_Resize()
    On Error Resume Next
    txtFeld.Width = UserControl.Width + 1
    txtFeld.Height = UserControl.Height + 1
End Sub

Public Property Get Value() As String
    On Error Resume Next
    If IsNumeric(txtFeld) Then
        Value = Format(txtFeld, "###,###,###,##0.00")
    Else
        Value = "0,00"
    End If
End Property

Public Property Let Value(ByVal New_Value As String)
    On Error Resume Next
    If IsNumeric(New_Value) Then
        txtFeld = Format(New_Value, "###,###,###,##0.00")
    Else
        txtFeld = "0,00"
    End If
    PropertyChanged "Value"
End Property
'
'Public Property Get Enabled() As Boolean
'    Enabled = txtFeld.Enabled
'End Property
'
'Public Property Let Enabled(ByVal New_Enabled As Boolean)
'    txtFeld.Enabled = New_Enabled
'    PropertyChanged "Enabled"
'End Property
'
'Public Property Get SelStart() As Integer
'    SelStart = txtFeld.SelStart
'End Property
'
'Public Property Let SelStart(ByVal New_SelStart As Integer)
'    txtFeld.SelStart = New_SelStart
'    PropertyChanged "SelStart"
'End Property
'
'Public Property Get SelLength() As Integer
'    SelLength = txtFeld.SelLength
'End Property
'
'Public Property Let SelLength(ByVal New_SelLength As Integer)
'    txtFeld.SelLength = New_SelLength
'    PropertyChanged "SelLength"
'End Property
'
'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,Enabled
Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Gibt einen Wert zurck, der bestimmt, ob ein Objekt auf vom Benutzer erzeugte Ereignisse reagieren kann, oder legt diesen fest."
    Enabled = txtFeld.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    txtFeld.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

Private Sub txtFeld_Change()
    On Error Resume Next
    RaiseEvent Change
End Sub

Private Sub txtFeld_Click()
    On Error Resume Next
    RaiseEvent Click
End Sub

''ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
''MappingInfo=txtFeld,txtFeld,-1,DataFormat
'Public Property Get DataFormat() As IStdDataFormatDisp
'    Set DataFormat = txtFeld.DataFormat
'End Property
'
'Public Property Set DataFormat(ByVal New_DataFormat As IStdDataFormatDisp)
'    Set txtFeld.DataFormat = New_DataFormat
'    PropertyChanged "DataFormat"
'End Property
'
''ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
''MappingInfo=txtFeld,txtFeld,-1,DataMember
'Public Property Get DataMember() As String
'    DataMember = txtFeld.DataMember
'End Property
'
'Public Property Let DataMember(ByVal New_DataMember As String)
'    txtFeld.DataMember() = New_DataMember
'    PropertyChanged "DataMember"
'End Property
'
''ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
''MemberInfo=5
'Public Sub DataMemberChanged(ByVal DataMember As String)
'
'End Sub

''ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
''MemberInfo=16,0,0,0
'Public Property Get DataMembers() As DataMembers
'    Set DataMembers = m_DataMembers
'End Property
'
'Public Property Set DataMembers(ByVal New_DataMembers As DataMembers)
'    Set m_DataMembers = New_DataMembers
'    PropertyChanged "DataMembers"
'End Property

''ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
''MappingInfo=txtFeld,txtFeld,-1,DataSource
'Public Property Get DataSource() As DataSource
'    Set DataSource = txtFeld.DataSource
'End Property
'
'Public Property Set DataSource(ByVal New_DataSource As DataSource)
'    Set txtFeld.DataSource = New_DataSource
'    PropertyChanged "DataSource"
'End Property

Private Sub txtFeld_DblClick()
    RaiseEvent DblClick
End Sub

''ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
''MappingInfo=txtFeld,txtFeld,-1,Alignment
'Public Property Get Alignment() As Integer
'    Alignment = txtFeld.Alignment
'End Property
'
'Public Property Let Alignment(ByVal New_Alignment As Integer)
'    txtFeld.Alignment() = New_Alignment
'    PropertyChanged "Alignment"
'End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
Attribute BackColor.VB_Description = "Gibt die Hintergrundfarbe zurck, die verwendet wird, um Text und Grafik in einem Objekt anzuzeigen, oder legt diese fest."
    BackColor = txtFeld.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    On Error Resume Next
    txtFeld.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,BorderStyle
Public Property Get BorderStyle() As Integer
Attribute BorderStyle.VB_Description = "Gibt den Rahmenstil fr ein Objekt zurck oder legt diesen fest."
    On Error Resume Next
    BorderStyle = txtFeld.BorderStyle
End Property

Public Property Let BorderStyle(ByVal New_BorderStyle As Integer)
    On Error Resume Next
    txtFeld.BorderStyle() = New_BorderStyle
    PropertyChanged "BorderStyle"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,Font
Public Property Get Font() As Font
Attribute Font.VB_Description = "Gibt ein Font-Objekt zurck."
Attribute Font.VB_UserMemId = -512
    On Error Resume Next
    Set Font = txtFeld.Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    On Error Resume Next
    Set txtFeld.Font = New_Font
    PropertyChanged "Font"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,FontBold
Public Property Get FontBold() As Boolean
Attribute FontBold.VB_Description = "Gibt Schriftstile fr Fettschrift zurck oder legt diese fest."
    On Error Resume Next
    FontBold = txtFeld.FontBold
End Property

Public Property Let FontBold(ByVal New_FontBold As Boolean)
    On Error Resume Next
    txtFeld.FontBold() = New_FontBold
    PropertyChanged "FontBold"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,FontItalic
Public Property Get FontItalic() As Boolean
Attribute FontItalic.VB_Description = "Gibt Schriftstile fr Kursivschrift zurck oder legt diese fest."
    On Error Resume Next
    FontItalic = txtFeld.FontItalic
End Property

Public Property Let FontItalic(ByVal New_FontItalic As Boolean)
    On Error Resume Next
    txtFeld.FontItalic() = New_FontItalic
    PropertyChanged "FontItalic"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,FontName
Public Property Get FontName() As String
Attribute FontName.VB_Description = "Gibt den Namen der Schriftart an, die in jeder Zeile fr die gegebene Ebene verwendet wird."
    On Error Resume Next
    FontName = txtFeld.FontName
End Property

Public Property Let FontName(ByVal New_FontName As String)
    On Error Resume Next
    txtFeld.FontName() = New_FontName
    PropertyChanged "FontName"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,FontSize
Public Property Get FontSize() As Single
Attribute FontSize.VB_Description = "Gibt die Gre der Schriftart (in Punkten) an, die in jeder Zeile fr die gegebene Ebene verwendet wird."
    On Error Resume Next
    FontSize = txtFeld.FontSize
End Property

Public Property Let FontSize(ByVal New_FontSize As Single)
    On Error Resume Next
    txtFeld.FontSize() = New_FontSize
    PropertyChanged "FontSize"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,FontStrikethru
Public Property Get FontStrikethru() As Boolean
Attribute FontStrikethru.VB_Description = "Gibt Schriftstile fr durchgestrichene Schrift zurck oder legt diese fest."
    On Error Resume Next
    FontStrikethru = txtFeld.FontStrikethru
End Property

Public Property Let FontStrikethru(ByVal New_FontStrikethru As Boolean)
    On Error Resume Next
    txtFeld.FontStrikethru() = New_FontStrikethru
    PropertyChanged "FontStrikethru"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=0,0,0,0
Public Property Get FontTransparent() As Boolean
Attribute FontTransparent.VB_Description = "Gibt einen Wert zurck, der bestimmt, ob Hintergrundgrafiken/-text auf einem Formular, Printer-Objekt oder Bildfeld-Steuerelement angezeigt werden, oder legt diese fest."
    On Error Resume Next
    FontTransparent = m_FontTransparent
End Property

Public Property Let FontTransparent(ByVal New_FontTransparent As Boolean)
    On Error Resume Next
    m_FontTransparent = New_FontTransparent
    PropertyChanged "FontTransparent"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,FontUnderline
Public Property Get FontUnderline() As Boolean
Attribute FontUnderline.VB_Description = "Gibt Schriftstile fr unterstrichene Schrift zurck oder legt diese fest."
    On Error Resume Next
    FontUnderline = txtFeld.FontUnderline
End Property

Public Property Let FontUnderline(ByVal New_FontUnderline As Boolean)
    On Error Resume Next
    txtFeld.FontUnderline() = New_FontUnderline
    PropertyChanged "FontUnderline"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Gibt die Vordergrundfarbe zurck, die zum Anzeigen von Text und Grafiken in einem Objekt verwendet wird, oder legt diese fest."
    On Error Resume Next
    ForeColor = txtFeld.ForeColor
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    On Error Resume Next
    txtFeld.ForeColor() = New_ForeColor
    PropertyChanged "ForeColor"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,hWnd
Public Property Get hWnd() As Long
Attribute hWnd.VB_Description = "Gibt eine Zugriffsnummer (von Microsoft Windows) auf ein Objektfenster zurck."
    On Error Resume Next
    hWnd = txtFeld.hWnd
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,Locked
Public Property Get Locked() As Boolean
Attribute Locked.VB_Description = "Bestimmt, ob ein Steuerelement bearbeitet werden kann."
    On Error Resume Next
    Locked = txtFeld.Locked
End Property

Public Property Let Locked(ByVal New_Locked As Boolean)
    On Error Resume Next
    txtFeld.Locked() = New_Locked
    PropertyChanged "Locked"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,MouseIcon
Public Property Get MouseIcon() As Picture
Attribute MouseIcon.VB_Description = "Legt ein benutzerdefiniertes Maussymbol fest."
    On Error Resume Next
    Set MouseIcon = txtFeld.MouseIcon
End Property

Public Property Set MouseIcon(ByVal New_MouseIcon As Picture)
    On Error Resume Next
    Set txtFeld.MouseIcon = New_MouseIcon
    PropertyChanged "MouseIcon"
End Property

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,MousePointer
Public Property Get MousePointer() As Integer
Attribute MousePointer.VB_Description = "Gibt den Typ des Mauszeigers zurck, der angezeigt wird, wenn dieser sich ber einem Teil eines Objekts befindet, oder legt diesen fest."
    On Error Resume Next
    MousePointer = txtFeld.MousePointer
End Property

Public Property Let MousePointer(ByVal New_MousePointer As Integer)
    On Error Resume Next
    txtFeld.MousePointer() = New_MousePointer
    PropertyChanged "MousePointer"
End Property

Private Sub txtFeld_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    On Error Resume Next
    RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MappingInfo=txtFeld,txtFeld,-1,Refresh
Public Sub Refresh()
Attribute Refresh.VB_Description = "Erzwingt ein vollstndiges Neuzeichnen eines Objekts."
    On Error Resume Next
    txtFeld.Refresh
End Sub

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=12
Public Function TextHeight(ByVal Str As String) As Single
Attribute TextHeight.VB_Description = "Gibt zurck, mit welcher Hhe eine Zeichenfolge in der aktuellen Schriftart ausgegeben wrde."

End Function

'ACHTUNG! DIE FOLGENDEN KOMMENTIERTEN ZEILEN NICHT ENTFERNEN ODER VERNDERN!
'MemberInfo=12
Public Function TextWidth(ByVal Str As String) As Single
Attribute TextWidth.VB_Description = "Gibt zurck, mit welcher Breite eine Zeichenfolge in der aktuellen Schriftart ausgegeben wrde."

End Function

'Eigenschaften fr Benutzersteuerelement initialisieren
Private Sub UserControl_InitProperties()
    On Error Resume Next
    m_FontTransparent = m_def_FontTransparent
    m_Text = m_def_Text
End Sub

'Eigenschaftenwerte vom Speicher laden
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    On Error Resume Next

    txtFeld.Enabled = PropBag.ReadProperty("Enabled", True)
    Set DataFormat = PropBag.ReadProperty("DataFormat", Nothing)
    txtFeld.DataMember = PropBag.ReadProperty("DataMember", "")
    Set m_DataMembers = PropBag.ReadProperty("DataMembers", Nothing)
    Set DataSource = PropBag.ReadProperty("DataSource", Nothing)
    txtFeld.Alignment = PropBag.ReadProperty("Alignment", 1)
    txtFeld.BackColor = PropBag.ReadProperty("BackColor", &H80000005)
    txtFeld.BorderStyle = PropBag.ReadProperty("BorderStyle", 1)
    Set txtFeld.Font = PropBag.ReadProperty("Font", Ambient.Font)
    txtFeld.FontBold = PropBag.ReadProperty("FontBold", 0)
    txtFeld.FontItalic = PropBag.ReadProperty("FontItalic", 0)
    txtFeld.FontName = PropBag.ReadProperty("FontName", "Arial")
    txtFeld.FontSize = PropBag.ReadProperty("FontSize", 10)
    txtFeld.FontStrikethru = PropBag.ReadProperty("FontStrikethru", 0)
    m_FontTransparent = PropBag.ReadProperty("FontTransparent", m_def_FontTransparent)
    txtFeld.FontUnderline = PropBag.ReadProperty("FontUnderline", 0)
    txtFeld.ForeColor = PropBag.ReadProperty("ForeColor", &H80000008)
    txtFeld.Locked = PropBag.ReadProperty("Locked", False)
    Set MouseIcon = PropBag.ReadProperty("MouseIcon", Nothing)
    txtFeld.MousePointer = PropBag.ReadProperty("MousePointer", 0)
    txtFeld.Text = PropBag.ReadProperty("Value", m_def_Value)
End Sub

'Eigenschaftenwerte in den Speicher schreiben
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    On Error Resume Next

    Call PropBag.WriteProperty("Enabled", txtFeld.Enabled, True)
    Call PropBag.WriteProperty("DataFormat", DataFormat, Nothing)
    Call PropBag.WriteProperty("DataMember", txtFeld.DataMember, "")
    Call PropBag.WriteProperty("DataMembers", m_DataMembers, Nothing)
    Call PropBag.WriteProperty("DataSource", DataSource, Nothing)
    Call PropBag.WriteProperty("Alignment", txtFeld.Alignment, 1)
    Call PropBag.WriteProperty("BackColor", txtFeld.BackColor, &H80000005)
    Call PropBag.WriteProperty("BorderStyle", txtFeld.BorderStyle, 1)
    Call PropBag.WriteProperty("Font", txtFeld.Font, Ambient.Font)
    Call PropBag.WriteProperty("FontBold", txtFeld.FontBold, 0)
    Call PropBag.WriteProperty("FontItalic", txtFeld.FontItalic, 0)
    Call PropBag.WriteProperty("FontName", txtFeld.FontName, "")
    Call PropBag.WriteProperty("FontSize", txtFeld.FontSize, 0)
    Call PropBag.WriteProperty("FontStrikethru", txtFeld.FontStrikethru, 0)
    Call PropBag.WriteProperty("FontTransparent", m_FontTransparent, m_def_FontTransparent)
    Call PropBag.WriteProperty("FontUnderline", txtFeld.FontUnderline, 0)
    Call PropBag.WriteProperty("ForeColor", txtFeld.ForeColor, &H80000008)
    Call PropBag.WriteProperty("Locked", txtFeld.Locked, False)
    Call PropBag.WriteProperty("MouseIcon", MouseIcon, Nothing)
    Call PropBag.WriteProperty("MousePointer", txtFeld.MousePointer, 0)
    Call PropBag.WriteProperty("Value", txtFeld.Text, m_def_Value)
End Sub

